import request from '@/utils/request'

// 查询官网留言列表
export function listMessage(query) {
    return request({
        url: '/owLeavingMessage/findByPage',
        method: 'get',
        params: query
    })
}

// 查询官网留言详细
export function getMessage(id) {
    return request({
        url: '/owLeavingMessage/' + id,
        method: 'get'
    })
}

// 新增官网留言
export function addMessage(data) {
    return request({
        url: '/owLeavingMessage',
        method: 'post',
        data: data
    })
}

// 修改官网留言
export function updateMessage(data) {
    return request({
        url: '/owLeavingMessage',
        method: 'put',
        data: data
    })
}

// 删除官网留言
export function delMessage(id) {
    return request({
        url: '/owLeavingMessage/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delMessageBatch(ids) {
    console.log(ids);
    return request.post('/owLeavingMessage/delete',ids)
}